{
	"name": "jdt-user",
	"version": "3.1.0",
	"private": true,
	"description": "",
	"templateInfo": {
		"name": "jdt-user",
		"typescript": true,
		"css": "sass"
	},
	"taroConfig": {
		"version": "3.1.0"
	},
	"scripts": {
		"build:weapp": "taro build --type weapp",
		"build:test": "taro build --type weapp --mode test",
		"build:swan": "taro build --type swan",
		"build:alipay": "taro build --type alipay",
		"build:tt": "taro build --type tt",
		"build:h5": "taro build --type h5",
		"build:rn": "taro build --type rn",
		"build:qq": "taro build --type qq",
		"build:jd": "taro build --type jd",
		"build:quickapp": "taro build --type quickapp",
		"dev:weapp": "taro build --type weapp --watch",
		"dev:swan": "npm run build:swan -- --watch",
		"dev:alipay": "npm run build:alipay -- --watch",
		"dev:tt": "npm run build:tt -- --watch",
		"dev:h5": "npm run build:h5 -- --watch",
		"dev:rn": "npm run build:rn -- --watch",
		"dev:qq": "npm run build:qq -- --watch",
		"dev:jd": "npm run build:jd -- --watch",
		"dev:quickapp": "npm run build:quickapp -- --watch",
		"lint": "eslint --ext .ts,.vue .",
		"lint:fix": "eslint --fix --ext .ts,.vue .",
		"lint:staged": "lint-staged",
		"prepare": "husky install",
		"preview": "vite preview",
		"cz": "cz",
		"lf": "npx prettier --write --end-of-line lf .",
		"postinstall": "weapp-tw patch",
		"build:weapp:prod:upload": "taro build --type weapp --upload --robot=1 --desc='正式环境'",
		"build:weapp:test:upload": "taro build --type weapp --upload --robot=2 --desc='测试环境' --mode test"
	},
	"browserslist": [
		"last 3 versions",
		"Android >= 4.1",
		"ios >= 8"
	],
	"author": "",
	"lint-staged": {
		"*.{ts,vue}": [
			"eslint --ext .ts,.vue .",
			"npx prettier --write --end-of-line lf ."
		]
	},
	"config": {
		"commitizen": {
			"path": "node_modules/cz-customizable"
		}
	},
	"dependencies": {
		"@babel/runtime": "^7.23.5",
		"@nutui/icons-vue-taro": "^0.0.9",
		"@nutui/nutui-taro": "^4.3.6",
		"@qiun/vue-ucharts": "2.5.0-20230101",
		"@tarojs/components": "3.6.29",
		"@tarojs/helper": "3.6.29",
		"@tarojs/plugin-framework-vue3": "3.6.29",
		"@tarojs/plugin-html": "3.6.29",
		"@tarojs/plugin-platform-alipay": "3.6.29",
		"@tarojs/plugin-platform-h5": "3.6.29",
		"@tarojs/plugin-platform-jd": "3.6.29",
		"@tarojs/plugin-platform-qq": "3.6.29",
		"@tarojs/plugin-platform-swan": "3.6.29",
		"@tarojs/plugin-platform-tt": "3.6.29",
		"@tarojs/plugin-platform-weapp": "3.6.29",
		"@tarojs/runtime": "3.6.29",
		"@tarojs/shared": "3.6.29",
		"@tarojs/taro": "3.6.29",
		"dayjs": "^1.11.10",
		"vue": "^3.3.9"
	},
	"devDependencies": {
		"@babel/core": "^7.23.5",
		"@commitlint/cli": "^18.4.3",
		"@commitlint/config-conventional": "^18.4.3",
		"@tarojs/cli": "3.6.29",
		"@tarojs/plugin-mini-ci": "3.6.29",
		"@tarojs/taro-loader": "3.6.29",
		"@tarojs/webpack5-runner": "3.6.29",
		"@types/node": "^18.19.1",
		"@types/webpack-env": "^1.18.4",
		"@typescript-eslint/eslint-plugin": "^6.13.1",
		"@typescript-eslint/parser": "^6.13.1",
		"@unocss/webpack": "^0.60.0",
		"@vue/babel-plugin-jsx": "^1.1.5",
		"@vue/compiler-sfc": "^3.3.9",
		"autoprefixer": "^10.4.19",
		"babel-preset-taro": "3.6.29",
		"commitizen": "^4.3.0",
		"css-loader": "3.4.2",
		"cz-customizable": "^7.0.0",
		"eslint": "^8.55.0",
		"eslint-config-taro": "3.6.29",
		"eslint-plugin-vue": "^9.19.2",
		"husky": "^8.0.3",
		"lint-staged": "^15.1.0",
		"postcss": "8.4.29",
		"postcss-rem-to-responsive-pixel": "^6.0.1",
		"style-loader": "1.3.0",
		"stylelint": "9.3.0",
		"tailwindcss": "^3.4.3",
		"ts-node": "^10.9.1",
		"typescript": "^4.9.5",
		"unplugin-vue-components": "^0.23.0",
		"vue-loader": "^17.3.1",
		"weapp-tailwindcss": "^3.2.0",
		"webpack": "^5.89.0"
	}
}
